classification
Title: help(marshal) just gives an outline; no help text provided.
Type: behavior Stage: resolved
Components: Documentation Versions: Python 3.0, Python 3.1, Python 3.2, Python 2.7, Python 2.6
process
Status: closed Resolution: fixed
Dependencies: Superseder:
Assigned To: r.david.murray Nosy List: georg.brandl, orsenthil, r.david.murray
Priority: normal Keywords: patch

Created on 2009-05-11 10:41 by orsenthil, last changed 2009-05-13 13:08 by r.david.murray. This issue is now closed.

Files
File name Uploaded Description Edit
issue5994.patch r.david.murray, 2009-05-12 01:22
Messages (4)
msg87570 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2009-05-11 10:41
Help on built-in module marshal:

NAME
    marshal

FILE
    (built-in)

MODULE DOCS
    http://docs.python.org/library/marshal

FUNCTIONS
    dump(...)
    
    dumps(...)
    
    load(...)
    
    loads(...)

DATA
    version = 2
msg87600 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2009-05-12 01:22
Patch attached for trunk based on 2.6.2 docs.  I only included what felt
like the essential parts of the module description.
msg87602 - (view) Author: Senthil Kumaran (orsenthil) * (Python committer) Date: 2009-05-12 03:10
David, should the marshal.version be explained as it is present in the docs?

marshal.version

    Indicates the format that the module uses. Version 0 is the
historical format, version 1 (added in Python 2.4) shares interned
strings and version 2 (added in Python 2.5) uses a binary format for
floating point numbers. The current version is 2.

Otherwise, the patch is fine and can be applied. Thank you.
msg87683 - (view) Author: R. David Murray (r.david.murray) * (Python committer) Date: 2009-05-13 13:08
I added 'variables' and 'functions' section to module docstring parallel
to the way 'time' does it, and documented 'version' there.

Checked in in r72597, r72598, and in r72599, r72600.
History
Date User Action Args
2009-05-13 13:08:10r.david.murraysetstatus: open -> closed
resolution: fixed
messages: + msg87683

stage: patch review -> resolved
2009-05-12 03:10:47orsenthilsetmessages: + msg87602
2009-05-12 01:22:27r.david.murraysetfiles: + issue5994.patch

assignee: georg.brandl -> r.david.murray
versions: + Python 3.2
keywords: + patch
nosy: + r.david.murray

messages: + msg87600
stage: patch review
2009-05-11 10:41:32orsenthilcreate